You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     ga...@freebsd.org
Last committer: ga...@freebsd.org
Ident:          $FreeBSD: branches/2014Q1/audio/wmauda/Makefile 332294 
2013-10-31 23:29:56Z garga $
Log URL:        
http://beefy2.isc.freebsd.org/bulk/10amd64-quarterly/2013-12-16_15h18m43s/logs/wmauda-0.9_1.log
Build URL:      
http://beefy2.isc.freebsd.org/bulk/10amd64-quarterly/2013-12-16_15h18m43s
Log:

====>> Building audio/wmauda
build started at Tue Dec 17 00:01:23 UTC 2013
port directory: /usr/ports/audio/wmauda
building for: FreeBSD 10amd64-quarterly-job-13 10.0-RC1 FreeBSD 10.0-RC1 amd64
maintained by: ga...@freebsd.org
Makefile ident:      $FreeBSD: branches/2014Q1/audio/wmauda/Makefile 332294 
2013-10-31 23:29:56Z garga $
Poudriere version: 3.1-pre

---Begin Environment---
OSVERSION=1000510
UNAME_v=FreeBSD 10.0-RC1
UNAME_r=10.0-RC1
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
MASTERMNT=/usr/local/poudriere/data/build/10amd64-quarterly/ref
PKG_EXT=txz
tpid=18270
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=wmauda-0.9_1
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
PWD=/root
MASTERNAME=10amd64-quarterly
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--
--localstatedir=/usr/local/share  --with-html-dir=/usr/local/share/doc  
--disable-gtk-doc  
--with-gconf-source=xml:merged:/usr/local/etc/gconf/gconf.xml.defaults
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" MAKE=gmake PKG_CONFIG=pkgconf SHELL=/bin/sh CONFIG_SHELL=/bin/sh 
GTKDOC="false"
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local 
 LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe -fno-strict-aliasing"  CPP="cpp" 
CPPFLAGS=""  LDFLAGS=""  CXX="c++" CXXFLAGS="-O2 -pipe -fno-strict-aliasing"  
MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 
555"  BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  
BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/wmauda
DOCSDIR=/usr/local/share/doc/wmauda
EXAMPLESDIR=/usr/local/share/examples/wmauda
WWWDIR=/usr/local/www/wmauda
ETCDIR=/usr/local/etc/wmauda
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for wmauda-0.9_1
=======================<phase: check-config   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   wmauda-0.9_1 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.2.4_1.txz
Installing pkg-1.2.4_1... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of wmauda-0.9_1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by wmauda-0.9_1 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by wmauda-0.9_1 for building
=> SHA256 Checksum OK for wmauda-0.9.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by wmauda-0.9_1 for building
===>  Extracting for wmauda-0.9_1
=> SHA256 Checksum OK for wmauda-0.9.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for wmauda-0.9_1
===========================================================================
=======================<phase: build-depends  >============================
===>   wmauda-0.9_1 depends on executable: audacious - not found
===>    Verifying install for audacious in /usr/ports/multimedia/audacious
===>   Installing existing package /packages/All/audacious-3.4.2.txz
Installing audacious-3.4.2...Installing xproto-7.0.24... done
Installing xineramaproto-1.2.1... done
Installing xf86vidmodeproto-2.3.1... done
Installing xextproto-7.2.1... done
Installing xcb-util-renderutil-0.3.8...Installing libXau-1.0.8... done
Installing libXdmcp-1.1.1... done
Installing libpthread-stubs-0.3_4... done
Installing libxcb-1.9.1_1...Installing libxml2-2.8.0_3... done
 done
Installing xcb-util-0.3.9_1,1... done
 done
Installing renderproto-0.11.1... done
Installing recordproto-1.14.2... done
Installing randrproto-1.4.0... done
Installing pixman-0.30.2... done
Installing libXxf86vm-1.1.3...Installing libXext-1.3.2,1...Installing 
libX11-1.6.2,1...Installing kbproto-1.0.6... done
 done
 done
 done
Installing libXtst-1.2.2...Installing libXi-1.7.2,1...Installing 
libXfixes-5.0.1...Installing fixesproto-5.0... done
 done
Installing inputproto-2.3... done
 done
 done
Installing libXrender-0.9.8... done
Installing libXrandr-1.4.2... done
Installing libXinerama-1.1.3,1... done
Installing libXdamage-1.1.4...Installing damageproto-1.2.1... done
 done
Installing libXcursor-1.1.14... done
Installing libXcomposite-0.4.4,1...Installing compositeproto-0.4.2... done
 done
Installing libSM-1.2.2,1...Installing libICE-1.0.8,1... done
 done
Installing dri2proto-2.8... done
Installing pango-1.34.1_1...Installing xorg-fonts-truetype-7.7_1...Installing 
mkfontscale-1.1.1...Installing libfontenc-1.1.2... done
Installing freetype2-2.5.0.1... done
 done
Installing mkfontdir-1.0.7... done
Installing fontconfig-2.10.95,1...Installing expat-2.1.0... done
Running fc-cache to build fontconfig cache...
/usr/local/share/fonts: skipping, no such directory
/usr/local/lib/X11/fonts: caching, new cache contents: 0 fonts, 1 dirs
/usr/local/lib/X11/fonts/local: caching, new cache contents: 0 fonts, 0 dirs
/root/.local/share/fonts: skipping, no such directory
/root/.fonts: skipping, no such directory
/var/db/fontconfig: cleaning cache directory
/root/.cache/fontconfig: not cleaning non-existent cache directory
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded
 done
Installing font-util-1.3.0... done
Installing font-misc-meltho-1.0.3... done
Installing font-misc-ethiopic-1.0.3... done
Installing font-bh-ttf-1.0.3... done
Installing encodings-1.0.4,1... done
Installing dejavu-2.34... done
 done
Installing libXft-2.3.1... done
Installing harfbuzz-0.9.19...Installing python27-2.7.6_1...Installing 
gettext-0.18.3.1... done
 done
Installing python2-2_2... done
Installing python-2.7_1,2... done
Installing perl5-5.16.3_4...Removing /usr/local/etc/perl5_version... Done.
Creating /usr/local/etc/perl5_version... Done.
Removing stale symlinks from /usr/bin...
    Skipping /usr/bin/perl
    Skipping /usr/bin/perl5
Done.
Creating various symlinks in /usr/bin...
    Symlinking /usr/local/bin/perl5.16.3 to /usr/bin/perl
    Symlinking /usr/local/bin/perl5.16.3 to /usr/bin/perl5
Done.
 done
Installing png-1.5.17... done
Installing graphite2-1.2.4... done
Installing cairo-1.10.2_6,2...Installing pcre-8.33... done
Installing libffi-3.0.13... done
Installing glib-2.36.3...No schema files found: doing nothing.
 done
 done
Installing icu-50.1.2... done
 done
Installing gnomehier-3.0... done
 done
Installing libXt-1.1.4,1... done
Installing libXmu-1.1.2,1... done
Installing gtk3-3.8.2_1...Installing polkit-0.105_1...Installing 
gnome_subr-1.0... done
Installing gobject-introspection-1.36.0_2... done
Installing dbus-1.6.12...===> Creating users and/or groups.
Creating group 'messagebus' with gid '556'.
Creating user 'messagebus' with uid '556'.
 done
 done
Installing cups-client-1.5.4_1... done
Installing shared-mime-info-1.1... done
Installing pciids-20131130... done
Installing hicolor-icon-theme-0.12... done
Installing tiff-4.0.3...Installing freeglut-2.8.1...Installing 
libdrm-2.4.17_1...Installing libpciaccess-0.13.2... done
 done
Installing libGLU-9.0.0...Installing libGL-7.6.1_4... done
 done
 done
Installing jbigkit-1.6... done
Installing jpeg-8_4... done
 done
Installing lcms2-2.5... done
Installing jasper-1.900.1_12... done
Installing gtk-update-icon-cache-2.24.22...Installing atk-2.8.0... done
Installing gdk-pixbuf2-2.28.2... done
 done
Installing colord-1.0.1...Installing sqlite3-3.8.0.2... done
===> Creating users and/or groups.
Creating group 'colord' with gid '970'.
Creating user 'colord' with uid '970'.
 done
Installing at-spi2-core-2.8.0... done
Installing at-spi2-atk-2.8.0... done
 done
Installing gtk2-2.24.22... done
Installing libguess-1.1...Installing libmowgli-1.0.0... done
 done
Installing libmcs-0.7.2_2...Installing libIDL-0.8.14_1... done
Installing gconf2-2.32.0_3...Installing dconf-0.14.1... done
Installing dbus-glib-0.100.2... done
Installing ORBit2-2.14.19... done
 done
 done
/usr/local/bin/update-desktop-database: not found
 done
Make sure that the freetype module is loaded.  If it is not, add the following
line to the "Modules" section of your X Windows configuration file:

        Load "freetype"

Add the following line to the "Files" section of X Windows configuration file:

        FontPath "/usr/local/lib/X11/fonts/dejavu/"

Note: your X Windows configuration file is typically /etc/X11/XF86Config
if you are using XFree86, and /etc/X11/xorg.conf if you are using X.Org.
====
Note that some of the standard modules are provided as separate
ports since they require extra dependencies:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

Install them as needed.
====
Since FreeBSD has new USB stack, freeglut normally doesn't build on FreeBSD 8
(yet). To workaround this a small patch adds one include file and comments out
content of one function (only leaves return NULL).

This might cause side effects.  Joysticks do not work, and there might be ports
that do not compile or applications that crash because of this.

Do not hesitate to contact x...@freebsd.org if there are any issues and side
effects because of this.
audacious supports Gzipped and uncompressed skins.  If you would like to use
Zip format skins you will need to ensure archivers/unzip is installed.


ATTENTION!

  You should now go and install multimedia/audacious-plugins. Without it,
  audacious is useless!
===>   Returning to build of wmauda-0.9_1
===>   wmauda-0.9_1 depends on executable: gmake - not found
===>    Verifying install for gmake in /usr/ports/devel/gmake
===>   Installing existing package /packages/All/gmake-3.82_1.txz
Installing gmake-3.82_1... done
===>   Returning to build of wmauda-0.9_1
===>   wmauda-0.9_1 depends on executable: pkgconf - not found
===>    Verifying install for pkgconf in /usr/ports/devel/pkgconf
===>   Installing existing package /packages/All/pkgconf-0.9.3.txz
Installing pkgconf-0.9.3... done
===>   Returning to build of wmauda-0.9_1
===>   wmauda-0.9_1 depends on file: /usr/local/bin/intltool-extract - not found
===>    Verifying install for /usr/local/bin/intltool-extract in 
/usr/ports/textproc/intltool
===>   Installing existing package /packages/All/intltool-0.50.2.txz
Installing intltool-0.50.2...Installing p5-XML-Parser-2.41_1... done
 done
===>   Returning to build of wmauda-0.9_1
===========================================================================
=======================<phase: lib-depends    >============================
===>   wmauda-0.9_1 depends on shared library: libmowgli.so - found
===>   wmauda-0.9_1 depends on shared library: libatk-1.0.so - found
===>   wmauda-0.9_1 depends on shared library: libglib-2.0.so - found
===>   wmauda-0.9_1 depends on shared library: libpcre.so - found
===>   wmauda-0.9_1 depends on shared library: libgtk-x11-2.0.so - found
===>   wmauda-0.9_1 depends on shared library: libpango-1.0.so - found
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for wmauda-0.9_1
===========================================================================
=======================<phase: build          >============================
===>  Building for wmauda-0.9_1
gmake[1]: Entering directory `/wrkdirs/usr/ports/audio/wmauda/work/wmauda-0.9'
cc -O2 -pipe -fno-strict-aliasing -I/usr/local/include/dbus-1.0 
-I/usr/local/include/dbus-1.0/include -I/usr/local/include/glib-2.0 
-I/usr/local/include   -I/usr/local/include/dbus-1.0 
-I/usr/local/include/dbus-1.0/include   
-DPIXMAP_DIR="\"/usr/local/share/pixmaps\"" -I/usr/local/include/gtk-2.0 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pixman-1 -D_THREAD_SAFE 
-I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/libpng15 
-I/usr/local/include/pango-1.0 -pthread -I/usr/local/include/glib-2.0  
-I/usr/local/include/freetype2 -I/usr/local/include 
-I/usr/local/include/harfbuzz     -c -o wmauda.o wmauda.c
wmauda.c:88:5: warning: illegal character encoding in character literal 
[-Winvalid-source-encoding]
  { '<C4>', 114, 73},
    ^
wmauda.c:89:5: warning: illegal character encoding in character literal 
[-Winvalid-source-encoding]
  { '<E4>', 114, 73},  /* toupper doesn't convert umlauts */
    ^
wmauda.c:90:5: warning: illegal character encoding in character literal 
[-Winvalid-source-encoding]
  { '<D6>', 120, 73},
    ^
wmauda.c:91:5: warning: illegal character encoding in character literal 
[-Winvalid-source-encoding]
  { '<F6>', 120, 73},
    ^
wmauda.c:92:5: warning: illegal character encoding in character literal 
[-Winvalid-source-encoding]
  { '<DC>', 126, 73},
    ^
wmauda.c:93:5: warning: illegal character encoding in character literal 
[-Winvalid-source-encoding]
  { '<FC>', 126, 73},
    ^
wmauda.c:656:9: warning: initializing 'char *' with an expression of type 
'guchar *' (aka 'unsigned char *') converts between pointers to integer types 
with different sign [-Wpointer-sign]
                char *url = selection_data->data;
                      ^     ~~~~~~~~~~~~~~~~~~~~
wmauda.c:845:13: warning: passing 'int *' to parameter of type 'unsigned int *' 
converts between pointers to integer types with different sign [-Wpointer-sign]
                                               &dummy, &dummy);
                                               ^~~~~~
/usr/local/include/X11/Xlib.h:2873:37: note: passing argument to parameter here
    unsigned int*       /* width_return */,
                                          ^
wmauda.c:845:21: warning: passing 'int *' to parameter of type 'unsigned int *' 
converts between pointers to integer types with different sign [-Wpointer-sign]
                                               &dummy, &dummy);
                                                       ^~~~~~
/usr/local/include/X11/Xlib.h:2875:1: note: passing argument to parameter here
);
^
9 warnings generated.
cc -o wmauda wmauda.o -O2 -pipe -fno-strict-aliasing 
-I/usr/local/include/dbus-1.0 -I/usr/local/include/dbus-1.0/include 
-I/usr/local/include/glib-2.0 -I/usr/local/include   
-I/usr/local/include/dbus-1.0 -I/usr/local/include/dbus-1.0/include   
-DPIXMAP_DIR="\"/usr/local/share/pixmaps\"" -I/usr/local/include/gtk-2.0 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pixman-1 -D_THREAD_SAFE 
-I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/libpng15 
-I/usr/local/include/pango-1.0 -pthread -I/usr/local/include/glib-2.0  
-I/usr/local/include/freetype2 -I/usr/local/include 
-I/usr/local/include/harfbuzz   -laudcore -lexecinfo -laudgui -laudclient 
-ldbus-glib-1 -ldbus-1 -lgobject-2.0 -L/usr/local/lib -lglib-2.0 -lintl   
-L/usr/local/lib -laudclient    -L/usr/local/lib -ldbus-1   -lgtk-x11-2.0 
-lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -pthread -lgdk_pixbuf-2.0 
-lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lintl 
-lfontconfig -L/usr/local
 /lib -lfreetype  
/usr/bin/ld: ƒ: invalid DSO for symbol `XSetWMHints' definition
//usr/local/lib/libX11.so.6: could not read symbols: Bad value
cc: error: linker command failed with exit code 1 (use -v to see invocation)
gmake[1]: *** [wmauda] Error 1
gmake[1]: Leaving directory `/wrkdirs/usr/ports/audio/wmauda/work/wmauda-0.9'
*** Error code 1

Stop.
make: stopped in /usr/ports/audio/wmauda
===>  Cleaning for wmauda-0.9_1
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to